--- check_mailq.old	2006-07-05 06:45:57.000000000 -0700
+++ check_mailq	2007-09-14 17:00:22.000000000 -0700
@@ -1,4 +1,4 @@
-#!/usr/local/bin/perl -w
+#!/usr/bin/perl
 
 # check_mailq - check to see how many messages are in the smtp queue awating
 #   transmittal.  
@@ -32,7 +32,7 @@
 use vars qw($opt_V $opt_h $opt_v $verbose $PROGNAME $opt_w $opt_c $opt_t
 					$opt_M $mailq $status $state $msg $msg_q $msg_p $opt_W $opt_C $mailq @lines
 					%srcdomains %dstdomains);
-use lib  utils.pm;
+use lib  "/usr/lib/nagios/plugins";
 use utils qw(%ERRORS &print_revision &support &usage );
 
 
@@ -516,8 +516,10 @@
 		 "v"   => \$opt_v, "verbose"	=> \$opt_v,
 		 "h"   => \$opt_h, "help"		=> \$opt_h,
 		 "M:s" => \$opt_M, "mailserver:s" => \$opt_M, # mailserver (default	sendmail)
-		 "w=i" => \$opt_w, "warning=i"  => \$opt_w,   # warning if above this number
-		 "c=i" => \$opt_c, "critical=i" => \$opt_c,	  # critical if above this number
+		 "w=i" => \$opt_w, "warning"  => \$opt_w,   # warning if above this number
+		 "c=i" => \$opt_c, "critical" => \$opt_c,	  # critical if above this number
+		 "W=i" => \$opt_W, "warn-detailed"  => \$opt_W,   # warning if above this number per domain (or queued not processed)
+		 "C=i" => \$opt_C, "crit-detailed" => \$opt_C,	  # critical if above this number per domain (or queued not processed)
 		 "t=i" => \$opt_t, "timeout=i"  => \$opt_t 
 		 );
 
@@ -549,12 +551,12 @@
 		exit $ERRORS{'UNKNOWN'};
 	}
 
-	if (defined $opt_W && ! defined !$opt_C) {
+	if (defined $opt_W && ! defined $opt_C) {
 		print "Need -C if using -W\n";
 		exit $ERRORS{'UNKNOWN'};
 	}elsif(defined $opt_W && defined $opt_C) {
 		if ($opt_W >= $opt_C) {
-			print "Warning (-W) cannot be greater than Critical (-C)!\n";
+			print "Warn-detailed (-W) cannot be greater than Crit-detailed (-C)!\n";
 			exit $ERRORS{'UNKNOWN'};
 		}
 	}
@@ -576,7 +578,7 @@
 }
 
 sub print_usage () {
-	print "Usage: $PROGNAME -w <warn> -c <crit> [-W <warn>] [-C <crit>] [-M <MTA>] [-t <timeout>] [-v verbose]\n";
+	print "Usage: $PROGNAME -w <warn> -c <crit> [-W <warn-detailed>] [-C <crit-detailed>] [-M <MTA>] [-t <timeout>] [-v verbose]\n";
 }
 
 sub print_help () {
@@ -587,15 +589,15 @@
 	print "\n";
 	print "   Checks the number of messages in the mail queue (supports multiple sendmail queues, qmail)\n";
 	print "   Feedback/patches to support non-sendmail mailqueue welcome\n\n";
-	print "-w (--warning)   = Min. number of messages in queue to generate warning\n";
-	print "-c (--critical)  = Min. number of messages in queu to generate critical alert ( w < c )\n";
-	print "-W (--Warning)   = Min. number of messages for same domain in queue to generate warning\n";
-	print "-C (--Critical)  = Min. number of messages for same domain in queue to generate critical alert ( W < C )\n";
-	print "-t (--timeout)   = Plugin timeout in seconds (default = $utils::TIMEOUT)\n";
-	print "-M (--mailserver) = [ sendmail | qmail | postfix | exim ] (default = sendmail)\n";
+	print "-w (--warning)       = Min. number of messages in queue to generate warning\n";
+	print "-c (--critical)      = Min. number of messages in queue to generate critical alert ( w < c )\n";
+	print "-W (--warn-detailed) = Min. number of messages for same domain in queue to generate warning\n";
+	print "-C (--crit-detailed) = Min. number of messages for same domain in queue to generate critical alert ( W < C )\n";
+	print "-t (--timeout)       = Plugin timeout in seconds (default = $utils::TIMEOUT)\n";
+	print "-M (--mailserver)    = [ sendmail | qmail | postfix | exim ] (default = sendmail)\n";
 	print "-h (--help)\n";
 	print "-V (--version)\n";
-	print "-v (--verbose)   = debugging output\n";
+	print "-v (--verbose)       = debugging output\n";
 	print "\n\n";
 	print "Note: -w and -c are required arguments.  -W and -C are optional.\n";
 	print " -W and -C are applied to domains listed on the queues - both FROM and TO. (sendmail)\n";
